local telescope = require("telescope")
local actions = require("telescope.actions")
local themes = require("telescope.themes")

telescope.setup({
  defaults = {
    mappings = {
      i = {
        ["<C-j>"] = actions.move_selection_next,
        ["<C-k>"] = actions.move_selection_previous,
        ["<ESC>"] = actions.close,
        ["<C-c>"] = actions.close
      },
      n = {
        ["<ESC>"] = actions.close,
        ["<C-c>"] = actions.close
      }
    }
  },
  extensions = {
    ["ui-select"] = {
      themes.get_dropdown({})
    },
  }
})

telescope.load_extension("fzf")
telescope.load_extension("ui-select")
